package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel(value="null")
public class Api implements IBasePO<BigDecimal> {
    /**
     * 主键id(API_ID,DECIMAL,38)
     */
    private BigDecimal api_id;

    /**
     * api名称(API_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="api名称",required=false)
    private String apiName;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.api_id;
    }

    @Override
    public void setId(BigDecimal apiId) {
        this.api_id = apiId;
    }

    public BigDecimal getApiId() {
        return api_id;
    }

    public void setApiId(BigDecimal apiId) {
        this.api_id = apiId;
    }

    public String getApiName() {
        return apiName;
    }

    public void setApiName(String apiName) {
        this.apiName = apiName == null ? null : apiName.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", apiId=").append(api_id);
        sb.append(", apiName=").append(apiName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}