package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel(value="字段")
public class ColumnData implements IBasePO<BigDecimal>, Serializable {
    @ApiModelProperty(value="",required=true)
    private BigDecimal dataId;

    @ApiModelProperty(value="",required=false)
    private BigDecimal apiId;

    @ApiModelProperty(value="",required=false)
    private String columnDataProp;

    @ApiModelProperty(value="",required=false)
    private BigDecimal columnDataId;

    @ApiModelProperty(value="",required=false)
    private String columnDataTemplate;

    @ApiModelProperty(value="",required=false)
    private String columnDataLabel;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.dataId;
    }

    @Override
    public void setId(BigDecimal dataId) {
        this.dataId = dataId;
    }

    public BigDecimal getDataId() {
        return dataId;
    }

    public void setDataId(BigDecimal dataId) {
        this.dataId = dataId;
    }

    public BigDecimal getApiId() {
        return apiId;
    }

    public void setApiId(BigDecimal apiId) {
        this.apiId = apiId;
    }

    public String getColumnDataProp() {
        return columnDataProp;
    }

    public void setColumnDataProp(String columnDataProp) {
        this.columnDataProp = columnDataProp == null ? null : columnDataProp.trim();
    }

    public BigDecimal getColumnDataId() {
        return columnDataId;
    }

    public void setColumnDataId(BigDecimal columnDataId) {
        this.columnDataId = columnDataId;
    }

    public String getColumnDataTemplate() {
        return columnDataTemplate;
    }

    public void setColumnDataTemplate(String columnDataTemplate) {
        this.columnDataTemplate = columnDataTemplate == null ? null : columnDataTemplate.trim();
    }

    public String getColumnDataLabel() {
        return columnDataLabel;
    }

    public void setColumnDataLabel(String columnDataLabel) {
        this.columnDataLabel = columnDataLabel == null ? null : columnDataLabel.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", dataId=").append(dataId);
        sb.append(", apiId=").append(apiId);
        sb.append(", columnDataProp=").append(columnDataProp);
        sb.append(", columnDataId=").append(columnDataId);
        sb.append(", columnDataTemplate=").append(columnDataTemplate);
        sb.append(", columnDataLabel=").append(columnDataLabel);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}