package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel(value="null")
public class Filter implements IBasePO<BigDecimal> {
    @ApiModelProperty(value="",required=true)
    private BigDecimal filterId;

    @ApiModelProperty(value="",required=false)
    private BigDecimal dateId;

    @ApiModelProperty(value="",required=false)
    private String filterText;

    @ApiModelProperty(value="",required=false)
    private String filterValue;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.filterId;
    }

    @Override
    public void setId(BigDecimal filterId) {
        this.filterId = filterId;
    }

    public BigDecimal getFilterId() {
        return filterId;
    }

    public void setFilterId(BigDecimal filterId) {
        this.filterId = filterId;
    }

    public BigDecimal getDateId() {
        return dateId;
    }

    public void setDateId(BigDecimal dateId) {
        this.dateId = dateId;
    }

    public String getFilterText() {
        return filterText;
    }

    public void setFilterText(String filterText) {
        this.filterText = filterText == null ? null : filterText.trim();
    }

    public String getFilterValue() {
        return filterValue;
    }

    public void setFilterValue(String filterValue) {
        this.filterValue = filterValue == null ? null : filterValue.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", filterId=").append(filterId);
        sb.append(", dateId=").append(dateId);
        sb.append(", filterText=").append(filterText);
        sb.append(", filterValue=").append(filterValue);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}