package com.steerinfo.dil.service;

import com.steerinfo.dil.model.Api;
import com.steerinfo.dil.model.ColumnData;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Author zhangnan
 * @Date 2021/6/18 8:44
 * @Version 1.0
 */
public interface IColumnDataService {

    List<Map<String,Object>> getColumnData(Integer apiId);

    Integer insertColumnData(ColumnData columnData);
    Integer insertApi(Api api);

    BigDecimal getDataId();

    BigDecimal getApiId();

    List<Map<String, Object>> getColumnDataById(Integer apiId);

    List<Map<String,Object>> getUserTabColumns(String TableName);

    List<Map<String,Object>> getUserTabs();

    Integer updateColumnData(ColumnData columnData);

    Integer updateApi(Api api);

    Integer deleteByApiId(BigDecimal apiId);
}
