package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.ColumnData;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface ColumnDataMapper extends IBaseMapper<ColumnData, BigDecimal> , Serializable {

    List<Map<String,Object>> selectColumnData(Integer apiId);
    List<Map<String,Object>> selectColumnDataById(@Param("apiId") Integer apiId);

    BigDecimal selectDataId();

    BigDecimal selectApiId();

    List<Map<String, Object>> selectUserTabColumns(String tableName);

    List<Map<String, Object>> selectUserTabs();

    Integer deleteByApiId(BigDecimal apiId);
}